## libwmf 0.1.16

=== xgd1.3/Makefile ===
# Generated automatically from Makefile.in by configure.

LIBS = -lXpm  -L/usr/X11R6/lib  -lX11  -lm

LDFLAGS = 

CC = gcc

AR = ar

RANLIB = ranlib

SHELL=/bin/sh

INSTALL =  /usr/bin/install -c
INSTALL_DATA =  ${INSTALL} -m 644

INCLUDEDIR = ${prefix}/include

prefix = /usr/local
exec_prefix = ${prefix}
srcdir = .
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
mandir = ${prefix}/man

CFLAGS =  -O2  -I/usr/X11R6/include  -DSTDC_HEADERS=1 -DHAVE_UNISTD_H=1 -DHAVE_XPM=1 -DHAVE_TTF=1  -I. -I.. 

MKINSTALLDIRS = $(srcdir)/mkinstalldirs


SHELL = /bin/sh

.SUFFIXES: .C .o

GDEXLIBOBJECTS = \
	gdxpm.o \
	gdcolor.o \
	gdttf.o \
	gdcache.o \
	polygonworking.o \
	wmftt.o 

GDXLIBOBJECTS = \
	gd.o \
	gdfontt.o \
	gdfonts.o \
	gdfontmb.o \
	gdfontl.o \
	gdfontg.o

all: xpmgddemo libxgd.a gddemo giftogd webgif

xpmgddemo: libxgd.a xpmgddemo.o
	$(CC) $(LDFLAGS) -o xpmgddemo xpmgddemo.o -L. -lxgd $(LIBS)

gddemo: gddemo.o libxgd.a xgd.h gdfonts.h gdfontl.h
	$(CC) gddemo.o -o gddemo -L. -lxgd $(LIBS)

giftogd: giftogd.o libxgd.a xgd.h
	$(CC) giftogd.o -o giftogd -L. -lxgd $(LIBS)

webgif: webgif.o libxgd.a xgd.h
	$(CC) webgif.o -o webgif -L. -lxgd $(LIBS)

libxgd.a:	$(GDEXLIBOBJECTS) $(GDXLIBOBJECTS)
	 $(AR) rc libxgd.a $(GDEXLIBOBJECTS)  $(GDXLIBOBJECTS)
	 $(RANLIB) libxgd.a 

%.o: %.c 
	$(CC) $(CFLAGS) -c $*.c 

clean: 
	rm -rf *.o xpmgddemo gddemo giftogd a.out core *.a

realclean:
	rm -rf config.cache config.status config.log Makefile config.h lex.yy.c *.o xpmgddemo gddemo giftogd a.out *.a core 

installdirs:
	$(MKINSTALLDIRS) ${exec_prefix}/lib \
	$(INCLUDEDIR)

install: all installdirs
	$(INSTALL_DATA) xgd.h $(INCLUDEDIR)/xgd.h
	$(INSTALL_DATA) xgdttf.h $(INCLUDEDIR)/xgdttf.h
	$(INSTALL_DATA) libxgd.a ${exec_prefix}/lib/libxgd.a

#realcleansub:
#	@echo real cleaning oledecod in oledecod
#	@(cd oledecod && $(MAKE) realclean) || exit 1

#  DO  NOT  DELETE THIS LINE -- make depend depends on it.

## libwmf 0.2.8.4

=== debian/changelog ===
libwmf (0.2.8.4-17) unstable; urgency=medium

  * QA upload.
  * New source-only upload to allow testing migration.
  * debian/control:
    + Bump debhelper compat to v11.
    + Add Vcs-* fields to use git packaging repo under Salsa Debian
      group.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Dec 2019 13:54:49 -0500

libwmf (0.2.8.4-16) unstable; urgency=medium

  * QA upload.
  * Make autopkgtests cross-test-friendly.

 -- Steve Langasek <vorlon@debian.org>  Mon, 09 Dec 2019 05:20:06 +0000

libwmf (0.2.8.4-15) unstable; urgency=medium

  * QA upload.
  * Fix autopkgtest by adding missing test dependencies and allow-stderr

 -- Paul Gevers <elbrus@debian.org>  Sat, 21 Sep 2019 15:27:10 +0200

libwmf (0.2.8.4-14) unstable; urgency=medium

  * Another QA upload
  * Revise patch from previous upload so that libwmf-config outputs the
    correct information. (Closes: #912563)

 -- Hilko Bengen <bengen@debian.org>  Mon, 12 Nov 2018 11:31:41 +0100

libwmf (0.2.8.4-13) unstable; urgency=medium

  * QA upload
  * Add patch to detect freetype2 via pkg-config (Closes: #892347)

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Oct 2018 00:29:00 +0200

libwmf (0.2.8.4-12) unstable; urgency=medium

  * QA upload.
  * Split out the GTK plugin into a separate package.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Oct 2017 10:35:46 +0200

libwmf (0.2.8.4-11) unstable; urgency=medium

  * Ack NMUs; thanks!
  * Add autopkgtests to the package.
  * Bump Standards-Version to 3.9.8.
  * Orphan – set maintainer to QA group.

 -- Loïc Minier <lool@debian.org>  Mon, 19 Jun 2017 22:11:59 +0000

libwmf (0.2.8.4-10.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix allocating huge block of memory (CVE-2016-9011) (Closes: #842090)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 31 Oct 2016 20:29:09 +0100

libwmf (0.2.8.4-10.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Change libpng12-dev build-dependency to libpng-dev, to ease libpng
    transition. (Closes: #662416)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Jan 2016 11:28:38 +0100

libwmf (0.2.8.4-10.4) unstable; urgency=high

  * NMU from the Security Team
  * Fix multiple vulnerabilities:
    - CVE-2015-0848 (Closes: #790365)
    - CVE-2015-4588 (Closes: #787644)
    - CVE-2015-4695 (Closes: #784205)
    - CVE-2015-4696 (Closes: #784192)
  * Fix lintian override

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 30 Jul 2015 17:10:05 +0200

libwmf (0.2.8.4-10.3) unstable; urgency=low

  * Non-maintainer upload.
  * libwmf-{dev,doc}.preinst: Delete /usr/share/doc/$PKG if it is a symlink
    because this is now shipped as a regular directory.  (Closes: #700353)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 21 Feb 2013 23:09:10 +0100

libwmf (0.2.8.4-10.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add Multi-Arch headers. (Closes: #677786)
    The support was basically there. libwmf0.2-7 already ships libraries in
    /usr/lib/<triplet>. No changes besides adding headers were necessary.

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 29 Nov 2012 17:26:47 +0100

libwmf (0.2.8.4-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - "libwmf-bin: Depends: gsfonts" fixes font load error (Closes: #685802)

 -- Hideki Yamane <henrich@debian.org>  Thu, 20 Sep 2012 13:09:11 +0900

libwmf (0.2.8.4-10) unstable; urgency=low

  * Read libwmf binary package name from control in rules.
  * Switch to dh instead of cdbs; bump debhelper compat to 9 and debhelper
    build-dep to >= 8.9.4~; this also means multiarch, so update install files
    and rules to cope with new pathnames.  Add new 05_gdk-pixbuf-loader-dir
    patch to fix the install location for the module to be under
    gdk-pixbuf-2.0 and not gtk-2.0.  Add ${misc:Pre-Depends}.

 -- Loïc Minier <lool@debian.org>  Fri, 06 Jan 2012 00:07:17 +0100

libwmf (0.2.8.4-9) unstable; urgency=low

  * Ack Neil Williams's NMU; thanks!
  * Stop shipping .la files altogether; remove dependency_libs stripping code
    from rules; rdepends of libwmf-dev either dont ship any .la files or ship
    .la files which don't reference the libwmf one.
  * Add comment to debian/libwmf0.2-7.lintian-overrides to point at
    Debian #382511.
  * Update my email address in control.
  * Drop defoma support from the packaging; closes: #542336; based on patch
    from Christian Perrier; thanks!  Defoma support is also included in the
    upstream configure.{ac,in}, but is largely useless nowadays, at least the
    generated libwmf XML fontmap in /var/lib/defoma/libwmf0.2-7.d/fontmap
    doesn't list any actual font on my system.
    - Drop defoma build-dep and dep.
    - Stop shipping a var/lib/defoma/libwmf0.2-7.d directory and "rm -rf"
      it on upgrades of libwmf0.2-7.
    - Drop debian/defoma XML fontmap generation script which seems to be
      generating an empty XML fontmap nowadays; incidentally closes: #501871.
    - Stop passing --with-fontdir=/var/lib/defoma/$(libwmf_pkg).d and
      --with-gsfontdir=/var/lib/defoma/$(libwmf_pkg).d to configure; these are
      going away and didn't have any font files anyway.
    - Review fontdir, gsfontdir, sysfontmap, gsfontmap and xtrafontmap
      configure args:
      . sysfontmap is the default XML fontmap (when not specified via the API)
        and currently points at an empty XML list of fonts; this is parsed
        either by libexpat1 or libxml2; in both cases, no specific message is
        output by default if the file is missing.  The configure.ac default
        for this file is /usr/share/fonts/fontmap which has a change of
        existing with random data some day, so just set it to /non-existent.
      . xtrafontmap is similar to sysfontmap and serves asan extra fontmap on
        top of the system one.  It's also used by thelibwmf-fontmap tool which
        serves generation of fontmap XML files and isn't shipped nor used


=== debian/control ===
Source: libwmf
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 11),
               autotools-dev,
               libfreetype6-dev,
               zlib1g-dev,
               libx11-dev,
               libexpat1-dev,
               libjpeg-dev,
               libpng-dev,
               libgtk2.0-dev (>= 2.21.5),
               libgdk-pixbuf2.0-dev (>= 2.21.6)
Vcs-Git: https://salsa.debian.org/debian/libwmf.git
Vcs-Browser: https://salsa.debian.org/debian/libwmf

Package: libwmf0.2-7
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gsfonts
Suggests: libwmf0.2-7-gtk
Multi-Arch: same
Description: Windows metafile conversion library
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package contains the shared library.

Package: libwmf0.2-7-gtk
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, libwmf0.2-7 (= ${binary:Version})
Breaks: libwmf0.2-7 (<< 0.2.8.4-12)
Replaces: libwmf0.2-7 (<< 0.2.8.4-12)
Description: Windows metafile conversion library
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package contains the GTK pixbuf plugin.

Package: libwmf-bin
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gsfonts
Multi-Arch: foreign
Description: Windows metafile conversion tools
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package contains several frontends to libwmf (wmf2x, wmf2gd,
 wmf2fig, wmf2eps, wmf2svg).

Package: libwmf-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libwmf0.2-7 (= ${binary:Version}), libfreetype6-dev, x11proto-core-dev, libx11-dev, zlib1g-dev
Suggests: libwmf-doc
Description: Windows metafile conversion development
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package contains the static library and header files.

Package: libwmf-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libwmf0.2-7
Suggests: libwmf-dev
Description: Windows metafile documentation
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package documents the libwmf API and WMF in general.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

libwmfN := $(shell sed -rn 's/^Package:[[:space:]]*(libwmf[0-9.-]+)[[:space:]]*$$/\1/p' debian/control)

override_dh_auto_configure:
	dh_auto_configure -- \
	    --with-docdir=/usr/share/doc/$(libwmfN) \
	    --with-fontdir=/non-existent \
	    --with-gsfontdir=//usr/share/fonts/type1/gsfonts\
	    --with-sysfontmap=/non-existent \
	    --with-gsfontmap=/var/lib/ghostscript/fonts/Fontmap \
	    --with-xtrafontmap=/etc/libwmf.fontmap

override_dh_makeshlibs:
	dh_makeshlibs -X "gdk-pixbuf-2.0" -V "$(libwmfN) (>= 0.2.8.4)"

=== debian/tests/control ===
Tests: build
Depends: build-essential, libwmf-dev, libexpat1-dev, libjpeg-dev
Restrictions: allow-stderr

Tests: cli-convert-examples
Depends: libwmf-bin, gsfonts
Restrictions: allow-stderr

## libwmf 0.2.8.4-6-rp1

=== debian/changelog ===
libwmf (0.2.8.4-6-rp1) unstable; urgency=low

  * Rebuild with fixed Chinook deps.

 -- Ryan Pavlik <abiryan@ryand.net>  Mon, 18 Feb 2008 09:20:39 -0300

=== debian/control ===
Source: libwmf
Section: libs
Priority: optional
Maintainer: Loic Minier <lool@dooz.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5), defoma (>= 0.11), autotools-dev, libfreetype6-dev, zlib1g-dev, libsm-dev, libice-dev, libx11-dev, libxt-dev, libexpat1-dev, libjpeg62-dev, libpng12-dev, libgtk2.0-dev (>= 2.10.1-1)

Package: libwmf0.2-7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, defoma (>= 0.11), gsfonts
Description: Windows metafile conversion library
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package contains the shared library.

Package: libwmf-bin
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Windows metafile conversion tools
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package contains several frontends to libwmf.

Package: libwmf-dev
Section: libdevel
Architecture: any
Replaces: libwmf0 (<< 0.1.21-1), libwmf0-dev
Depends: ${misc:Depends}, libwmf0.2-7 (= ${Source-Version}), libc6-dev, libfreetype6-dev, zlib1g-dev, libsm-dev, libice-dev, libx11-dev, libexpat1-dev, libjpeg62-dev, libpng12-dev
Suggests: libwmf-doc
Conflicts: libwmf0-dev
Description: Windows metafile conversion development
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package contains the static library and header files.

Package: libwmf-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libwmf0.2-7 (>= ${Source-Version})
Suggests: libwmf-dev
Description: Windows metafile documentation
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package documents the libwmf API and WMF in general.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS := -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

libwmf_pkg := libwmf0.2-7

confflags := --prefix=/usr \
	     --with-docdir=/usr/share/doc/$(libwmf_pkg) \
	     --with-fontdir=/var/lib/defoma/$(libwmf_pkg).d \
	     --with-gsfontdir=/var/lib/defoma/$(libwmf_pkg).d \
	     --with-sysfontmap=/var/lib/defoma/$(libwmf_pkg).d/fontmap \
	     --with-gsfontmap=/var/lib/defoma/$(libwmf_pkg).d/fontmap.gs \
	     --with-xtrafontmap=/etc/libwmf.fontmap
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

build: build-stamp
build-stamp:
	dh_testdir
	ln -sf /usr/share/misc/config.sub /usr/share/misc/config.guess .
	./configure $(confflags)
	$(MAKE)
	> $@

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

export DH_OPTIONS

install: DH_OPTIONS =
install: build
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp font_DATA= install

binary-arch: DH_OPTIONS = -a
binary-indep: DH_OPTIONS = -i
binary-%: DH_OPTIONS = -p$*
binary binary-%: install
	dh_installdirs
	dh_link
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installdefoma
	dh_install
	#LD_LIBRARY_PATH=debian/$(libwmf_pkg)/usr/lib:$(LD_LIBRARY_PATH) \
	#	dh_gtkmodules
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps -ldebian/$(libwmf_pkg)/usr/lib -Xusr/lib/gtk
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean install binary

## libwmf 0.2.12

=== debian/changelog ===
libwmf (0.2.12-5ubuntu1) jammy; urgency=medium

  * Fix build on cross-autpkgtest-env (Closes: #1004961)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Feb 2022 12:07:59 +0100

libwmf (0.2.12-5) unstable; urgency=medium

  * Upload to unstable

 -- Yangfl <mmyangfl@gmail.com>  Tue, 25 Jan 2022 16:16:35 +0800

libwmf (0.2.12-4) experimental; urgency=medium

  * Reinstate libwmf0.2-7-gtk as a transitional package
  * Do not depend on transitional package libfreetype6-dev (Closes: #998314)
  * Bump Standards-Version to 4.6.0

 -- Yangfl <mmyangfl@gmail.com>  Sun, 23 Jan 2022 23:20:02 +0800

libwmf (0.2.12-3) experimental; urgency=medium

  * Reinstate libwmf0.2-7 as a transitional package

 -- Yangfl <mmyangfl@gmail.com>  Sat, 17 Oct 2020 14:39:16 +0000

libwmf (0.2.12-2) experimental; urgency=medium

  * Put config script back to /usr/bin temporarily to make transition smooth
  * Bump debhelper compat to 13

 -- Yangfl <mmyangfl@gmail.com>  Sun, 10 May 2020 12:18:37 +0800

libwmf (0.2.12-1) experimental; urgency=medium

  * Adopt package (Closes: #866817)
  * Switch to new upstream
  * Split libwmf-lite (Closes: #638880)
  * Rename libwmf0.2-7 to libwmf-0.2-7
  * Replace the dependency on gsfonts by fonts-urw-base35 (Closes: #951063)
  * Add symbol files
  * Put old-style config script under multi-arch directory in favour of
    pkg-config (Closes: #182993)
  * Remove unused libtrio (Closes: #746813)
  * Add manpages
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat to 12
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Fri, 27 Mar 2020 13:54:43 +0800

=== debian/control ===
Source: libwmf
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 libfreetype-dev,
 zlib1g-dev,
 libx11-dev,
 libexpat1-dev,
 libjpeg-dev,
 libpng-dev,
 libgtk2.0-dev (>= 2.21.5),
 libgdk-pixbuf2.0-dev (>= 2.21.6),
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: libs
Homepage: http://wvware.sourceforge.net/libwmf.html
Vcs-Git: https://salsa.debian.org/yangfl-guest/libwmf.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/libwmf

Package: libwmf-0.2-7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libwmf0.2-7 (<< 0.2.12-1)
Replaces: libwmf0.2-7 (<< 0.2.12-1)
Recommends: fonts-urw-base35
Suggests: libwmf-0.2-7-gtk, libwmflite-0.2-7
Multi-Arch: same
Description: Windows metafile conversion library
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package contains the shared library.

Package: libwmflite-0.2-7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libwmf0.2-7 (<< 0.2.12-1)
Replaces: libwmf0.2-7 (<< 0.2.12-1)
Multi-Arch: same
Description: Windows metafile conversion lite library
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package contains the lite library.

Package: libwmf-0.2-7-gtk
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, libwmf-0.2-7 (= ${binary:Version})
Breaks: libwmf0.2-7 (<< 0.2.8.4-12)
Replaces: libwmf0.2-7 (<< 0.2.8.4-12)
Description: Windows metafile conversion GTK pixbuf plugin
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package contains the GTK pixbuf plugin.

Package: libwmf-bin
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Windows metafile conversion tools
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package contains several frontends to libwmf (wmf2x, wmf2gd,
 wmf2fig, wmf2eps, wmf2svg).

Package: libwmf-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libwmf-0.2-7 (= ${binary:Version}),
 libwmflite-0.2-7 (= ${binary:Version}),
 libfreetype-dev,
 x11proto-core-dev,
 libx11-dev,
 zlib1g-dev,
Suggests: libwmf-doc
Description: Windows metafile conversion development
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package contains the static library and header files.

Package: libwmf-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libwmf-dev
Description: Windows metafile documentation
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.  libwmf is a library for interpreting
 metafile images and either displaying them using X or converting them
 to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
 .
 This package documents the libwmf API and WMF in general.

Package: libwmf0.2-7
Section: oldlibs
Architecture: any
Depends:
 ${misc:Depends},
 libwmf-0.2-7 (>= ${binary:Version}),
 libwmflite-0.2-7 (>= ${binary:Version}),
Multi-Arch: same
Description: Windows metafile conversion library - transitional package
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.
 .
 This transitional package depends on the new names of the shared library
 packages, to provide smooth upgrades from Debian 11. It can be removed
 if no installed packages depend on it.

Package: libwmf0.2-7-gtk
Section: oldlibs
Architecture: any
Depends:
 ${misc:Depends},
 libwmf-0.2-7-gtk (>= ${binary:Version}),
Multi-Arch: same
Description: Windows metafile conversion GTK pixbuf plugin - transitional package
 Windows metafile (WMF) is a picture format used by many Windows
 programs, e.g. Microsoft Word.
 .
 This transitional package depends on the new names of the shared library
 packages, to provide smooth upgrades from Debian 11. It can be removed
 if no installed packages depend on it.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?r?(\d[\d.]*)\.tar\.gz%libwmf-$1.tar.gz%" \
   https://github.com/caolanm/libwmf/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libwmf 0.2.13

=== debian/changelog ===
libwmf (0.2.13-2) unstable; urgency=medium

  * Fix fail to build source after successful build
    (Closes: #1045382)
  * Remove transitional packages
  * Bump Standards-Version to 4.7.2

 -- Yangfl <mmyangfl@gmail.com>  Sun, 14 Sep 2025 12:48:52 +0800

libwmf (0.2.13-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop unused build dependency libgtk2.0-dev (Closes: #967591)

 -- Bastian Germann <bage@debian.org>  Tue, 24 Oct 2023 13:41:34 +0200

libwmf (0.2.13-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.2

 -- Yangfl <mmyangfl@gmail.com>  Mon, 07 Aug 2023 07:03:12 +0800

libwmf (0.2.12-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build on cross-autpkgtest-env (Closes: #1004961)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 May 2023 17:54:58 +0200

libwmf (0.2.12-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing Breaks/Replaces on libwmf0.2-7-gtk to libwmf-0.2-7-gtk.
    Closes: #1034959

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 May 2023 18:19:26 +0200

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,11 @@
  libexpat1-dev,
  libjpeg-dev,
  libpng-dev,
- libgtk2.0-dev (>= 2.21.5),
- libgdk-pixbuf2.0-dev (>= 2.21.6),
+ libgdk-pixbuf-2.0-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Section: libs
-Homepage: http://wvware.sourceforge.net/libwmf.html
+Homepage: https://wvware.sourceforge.net/libwmf.html
 Vcs-Git: https://salsa.debian.org/yangfl-guest/libwmf.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/libwmf
 
@@ -53,8 +52,9 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, libwmf-0.2-7 (= ${binary:Version})
-Breaks: libwmf0.2-7 (<< 0.2.8.4-12)
-Replaces: libwmf0.2-7 (<< 0.2.8.4-12)
+Breaks: libwmf0.2-7-gtk (<< 0.2.12-1)
+Replaces: libwmf0.2-7-gtk (<< 0.2.12-1)
+Multi-Arch: same
 Description: Windows metafile conversion GTK pixbuf plugin
  Windows metafile (WMF) is a picture format used by many Windows
  programs, e.g. Microsoft Word.  libwmf is a library for interpreting
@@ -85,7 +85,7 @@
  libwmf-0.2-7 (= ${binary:Version}),
  libwmflite-0.2-7 (= ${binary:Version}),
  libfreetype-dev,
- x11proto-core-dev,
+ x11proto-dev,
  libx11-dev,
  zlib1g-dev,
 Suggests: libwmf-doc
@@ -109,34 +109,3 @@
  to standard formats such as PNG, JPEG, PS, EPS and SVG(Z)...
  .
  This package documents the libwmf API and WMF in general.
-
-Package: libwmf0.2-7
-Section: oldlibs
-Architecture: any
-Depends:
- ${misc:Depends},
- libwmf-0.2-7 (>= ${binary:Version}),
- libwmflite-0.2-7 (>= ${binary:Version}),
-Multi-Arch: same
-Description: Windows metafile conversion library - transitional package
- Windows metafile (WMF) is a picture format used by many Windows
- programs, e.g. Microsoft Word.
- .
- This transitional package depends on the new names of the shared library
- packages, to provide smooth upgrades from Debian 11. It can be removed
- if no installed packages depend on it.
-
-Package: libwmf0.2-7-gtk
-Section: oldlibs
-Architecture: any
-Depends:
- ${misc:Depends},
- libwmf-0.2-7-gtk (>= ${binary:Version}),
-Multi-Arch: same
-Description: Windows metafile conversion GTK pixbuf plugin - transitional package
- Windows metafile (WMF) is a picture format used by many Windows
- programs, e.g. Microsoft Word.
- .
- This transitional package depends on the new names of the shared library
- packages, to provide smooth upgrades from Debian 11. It can be removed
- if no installed packages depend on it.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

build-indep:
	# pass

execute_after_dh_clean:
	# build source after successful build
	rm -f config.log \
		doc/Makefile \
		doc/caolan/Makefile \
		doc/caolan/pics/Makefile \
		doc/html/Makefile

override_dh_autoreconf:
	dh_autoreconf autoreconf -- -f -i -Ipatches

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-fontdir=/non-existent \
		--with-gsfontdir=/usr/share/fonts/type1/urw-base35 \
		--with-sysfontmap=/non-existent \
		--with-gsfontmap=/var/lib/ghostscript/fonts/Fontmap \
		--with-xtrafontmap=/etc/libwmf.fontmap

execute_after_dh_install-arch:
	mkdir -p debian/libwmf-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libwmf/bin/
	# tmp
	cp debian/libwmf-dev/usr/bin/libwmf-config debian/libwmf-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libwmf/bin/
	#rmdir debian/libwmf-dev/usr/bin/
	ln -s libwmf-0.2.so.7 debian/libwmf-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libwmf-0.2.so
	ln -s libwmflite-0.2.so.7 debian/libwmf-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libwmflite-0.2.so

execute_after_dh_installdocs-indep:
	rm debian/libwmf-doc/usr/share/doc/libwmf-dev/doc/Makefile* \
		debian/libwmf-doc/usr/share/doc/libwmf-dev/doc/*/Makefile* \
		debian/libwmf-doc/usr/share/doc/libwmf-dev/doc/*/*/Makefile*

=== debian/tests/control ===
Tests: build
Depends: build-essential, libwmf-dev, libexpat1-dev, libjpeg-dev, pkg-config,
Restrictions: allow-stderr

Tests: cli-convert-examples
Depends: libwmf-bin, fonts-urw-base35,
Restrictions: allow-stderr

=== debian/watch ===
Version: 5
Template: Github
Owner: caolanm
Project: libwmf

## libwmf 0.2.14

=== debian/changelog ===
libwmf (0.2.14-1) unstable; urgency=medium

  * New upstream release
  * Move old-style config script away from /usr/bin
  * Bump Standards-Version to 4.7.3

 -- Yangfl <mmyangfl@gmail.com>  Wed, 25 Feb 2026 02:27:36 +0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: libwmf
-Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -11,8 +10,7 @@
  libjpeg-dev,
  libpng-dev,
  libgdk-pixbuf-2.0-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://wvware.sourceforge.net/libwmf.html
 Vcs-Git: https://salsa.debian.org/yangfl-guest/libwmf.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

build-indep:
	# pass

execute_after_dh_clean:
	# build source after successful build
	rm -f config.log
	find doc/ -name Makefile -delete

override_dh_autoreconf:
	dh_autoreconf autoreconf -- -f -i -Ipatches

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-fontdir=/non-existent \
		--with-gsfontdir=/usr/share/fonts/type1/urw-base35 \
		--with-sysfontmap=/non-existent \
		--with-gsfontmap=/var/lib/ghostscript/fonts/Fontmap \
		--with-xtrafontmap=/etc/libwmf.fontmap

execute_after_dh_install-arch:
	mkdir -p debian/libwmf-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libwmf/bin/
	mv debian/libwmf-dev/usr/bin/libwmf-config debian/libwmf-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libwmf/bin/
	rmdir debian/libwmf-dev/usr/bin/
	ln -s libwmf-0.2.so.7 debian/libwmf-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libwmf-0.2.so
	ln -s libwmflite-0.2.so.7 debian/libwmf-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libwmflite-0.2.so

execute_after_dh_installdocs-indep:
	find debian/libwmf-doc/usr/share/doc/libwmf-dev/doc/ -name 'Makefile*' -delete
